#General Mod Config
[general]
        #Should the bot be enabled or not
        enabled = true
        #Should debug logging be enabled? WARNING: THIS CAN SPAM YOUR LOG!
        debugging = false
        #Should the bot be allowed to whitelist/un-whitelist players. Whitelisting needs to be enabled on your server as well
        whitelisting = false
        #Should the bot be allowed to whitelist/un-whitelist players in OFFLINE mode. Whitelisting needs to be enabled on your server as well
        offlinewhitelist = false
        #Automatically link Minecraft and Discord Accounts when a user is whitelisted
        linkedWhitelist = false
        #Should only admins be allowed to whitelist players
        onlyAdminsWhitelist = false
        #If a role ID (or name) is defined here, it will be assigned to players when they are whitelisted
        autoWhitelistRole = ""
        #If a role ID (or name) is defined here, it will be assigned to players when their MC and Discord accounts are linked
        linkedRole = ""
        #Should the /discord command be enabled in game
        inviteCommandEnabled = false
        #Discord Invite Link used by the in-game invite command
        inviteLink = ""
        #Internal version control. DO NOT TOUCH!
        configVersion = 24

#Config specific to the discord bot
[botConfig]
        #The Token of the Bot to use. KEEP THIS PRIVATE. See https://readme.firstdarkdev.xyz/simple-discord-link/initial-setup/ to find this
        botToken = "MTAyNTA3NTM2NzI4OTAyODcxOA.GpzZpx.U7y1ffjLg9B1zXKeSFpRy249Cktc2ofvmeBWRE"
        #How quickly the bot status should update
        activityUpdateInterval = 30
        #If a role ID (or name) is defined here, only members with this role can use Staff Functions. Otherwise, it defaults back to admin/kick perms
        staffRole = ""
        #Should the bot use / commands. NOTE: THIS MAY TAKE UP TO 24 HOURS TO SHOW UP IN YOUR DISCORD
        slashCommands = false
        #The prefix to use for bot commands. Example: ~players. THIS HAS NO EFFECT WHEN USING SLASH COMMANDS
        # - WARNING: TEXT COMMANDS HAVE BEEN DEPRECATED, USE SLASH COMMANDS INSTEAD!!
        botPrefix = "~"
        #Do not add Playing. A status to display on the bot. You can use %players% and %maxplayers% to show the number of players on the server
        botStatus = "Minecraft"
        #The type of the status displayed on the bot. Valid entries are: PLAYING, STREAMING, WATCHING, LISTENING
        botStatusType = "PLAYING"
        #The URL that will be used when the "botStatusType" is set to "STREAMING", required to display as "streaming".
        botStatusStreamingURL = "https://twitch.tv/twitch"
        #Should the bot update the topic of your chat channel automatically
        doTopicUpdates = true
        #A topic for the Chat Relay channel. You can use %player%, %maxplayers%, %uptime% or just leave it empty.
        channelTopic = "Playing Minecraft with %players%/%maxplayers% people | Uptime: %uptime%"

#Config relating to the discord channels to use with the mod
[channels]
        #The ID of the channel to post in and relay messages from. This is still needed, even in webhook mode
        chatChannelID = 1025292808665452586
        #If this ID is set, event messages will be posted in this channel instead of the chat channel
        eventsChannelID = 1024353263811833928
        #If this ID is set, console messages sent after the bot started will be relayed here, and you can execute minecraft commands here
        consoleChannelID = 1024353263811833928

#Webhook Config
[webhooks]
        #Should webhook messages be used
        enabled = false
        #The URL of the channel webhook to use for Chat Messages
        chatWebhook = "https://discord.com/api/webhooks/1025293777679679508/pXyyCK24gRdIrr99b0gsmkHd08QUqBa3SJvGVRAy3O9_1COHXzdF1U4VHt7RkLlvzjkQ"
        #The URL of the channel webhook to use for Server Messages
        eventsWebhook = "https://discord.com/api/webhooks/1025293466776911933/PqQ4M8cF-aJWUi1cKIToLtTzVW3OwJDstDDzLkQppkHk2q9KQ2XVmbv3HSw7lSjeLcvH"
        #The URL of the channel webhook to use for Console Messages
        consoleWebhook = "https://discord.com/api/webhooks/1025293466776911933/PqQ4M8cF-aJWUi1cKIToLtTzVW3OwJDstDDzLkQppkHk2q9KQ2XVmbv3HSw7lSjeLcvH"
        #A DIRECT link to an image to use as the avatar for server messages. Also used for embeds
        serverAvatar = ""
        #The name to display for Server messages when using Webhooks
        serverName = "PatataPack Server"

#Chat Config
[chat]
        #The type of image to use as the player icon in messages. Valid entries are: AVATAR, HEAD, BODY, COMBO
        playerAvatarType = "HEAD"
        #Prefix to add to Minecraft when a message is relayed from Discord. Supports MC formatting. Use %user% for the Discord Username
        mcPrefix = "§e[Discord]§r %user%: "
        #Should messages from bots be relayed
        ignoreBots = true
        #Should SERVER STARTING messages be shown
        serverStarting = true
        #Should SERVER STARTED messages be shown
        serverStarted = true
        #Should SERVER STOPPING messages be shown
        serverStopping = true
        #Should SERVER STOPPED messages be shown
        serverStopped = true
        #Should the chat be relayed
        playerMessages = true
        #Should Join and Leave messages be posted
        joinAndLeaveMessages = true
        #Should Advancement messages be posted
        advancementMessages = true
        #Should Death Announcements be posted
        deathMessages = true
        #Should Messages from the /say command be posted
        sendSayCommand = true
        #Should commands be posted to discord
        broadcastCommands = true
        #Commands that should not be broadcasted to discord
        ignoredCommands = ["particle", "login"]

#Change the contents of certain event messages
[messages]
        #Convert Discord to MC, and MC to Discord Formatting
        formatting = true
        #Should console messages be sent to the Console Channel
        sendConsoleMessages = true
        #Server Starting Message
		serverStarting = "Arrancando el servidor / Server is starting..."
		#Server Started Message
		serverStarted = "El servidor está listo! / Server has started. Enjoy!"
		#Server Stopping Message
		serverStopping = "Parando el servidor / Server is stopping..."
		#Server Stopped Message
		serverStopped = "El servidor ha parado / Server has stopped..."
        #Player Joined Message. Use %player% to display the player name
        playerJoined = "*%player% has joined the server!*"
        #Player Left Message. Use %player% to display the player name
        playerLeft = "*%player% has left the server!*"
        #Achievement Messages. Available variables: %player%, %title%, %description%
        achievements = "*%player% has made the advancement [%title%]: %description%*"
        #Chat Messages. Available variables: %player%, %message%
        chat = "%message%"
        #Command Messages. Available variables: %player%, %command%
        commands = "%player% **executed command: %command%**"
        #Should messages sent with TellRaw be sent to discord as a chat? (Experimental)
        relayTellRaw = true
        #Should the entire command executed be relayed to discord, or only the name of the command
        relayFullCommands = false
        #The message to show when someone uses /discord command. You can use %inviteurl%
        inviteMessage = "Hey, check out our discord server here -> %inviteurl%"

#Change in which channel messages appear
[messageDestinations]

        #Control where CHAT messages are delivered
        [messageDestinations.chat]
                #The Channel the message will be delivered to. Valid entries are CHAT, EVENT, CONSOLE
                channel = "CHAT"
                #Should the message be sent using EMBED style messages
                useEmbed = false

        #Control where START/STOP messages are delivered
        [messageDestinations.startStop]
                #The Channel the message will be delivered to. Valid entries are CHAT, EVENT, CONSOLE
                channel = "EVENT"
                #Should the message be sent using EMBED style messages
                useEmbed = false

        #Control where JOIN/LEAVE messages are delivered
        [messageDestinations.joinLeave]
                #The Channel the message will be delivered to. Valid entries are CHAT, EVENT, CONSOLE
                channel = "EVENT"
                #Should the message be sent using EMBED style messages
                useEmbed = false

        #Control where ADVANCEMENT messages are delivered
        [messageDestinations.advancements]
                #The Channel the message will be delivered to. Valid entries are CHAT, EVENT, CONSOLE
                channel = "EVENT"
                #Should the message be sent using EMBED style messages
                useEmbed = false

        #Control where DEATH messages are delivered
        [messageDestinations.death]
                #The Channel the message will be delivered to. Valid entries are CHAT, EVENT, CONSOLE
                channel = "EVENT"
                #Should the message be sent using EMBED style messages
                useEmbed = false

        #Control where COMMAND messages are delivered
        [messageDestinations.commands]
                #The Channel the message will be delivered to. Valid entries are CHAT, EVENT, CONSOLE
                channel = "EVENT"
                #Should the message be sent using EMBED style messages
                useEmbed = false

#Enable or Disable certain bot commands
[botCommands]
        #Allow members to link their MC and Discord accounts
        accountLinking = true
        #Enable/Disable the Player List command
        allowPlayerList = true
        #Enable/Disable the Server Status command
        allowServerStatus = true

#Execute Minecraft commands in Discord
[linkedCommands]
        #Should linked commands be enabled
        enabled = false
        #Commands to be linked
        commands = []
